std::rel_ops(3)

NAME
std::rel_ops -

SYNOPSIS

  Functions
template<class _Tp> bool operator!= (const _Tp &__x, const _Tp &__y)
template<class _Tp> bool operator<= (const _Tp &__x, const _Tp &__y)
template<class _Tp> bool operator> (const _Tp &__x, const _Tp &__y)
template<class _Tp> bool operator>= (const _Tp &__x, const _Tp &__y)

Function Documentation

  bool std::rel_ops::operator!= (const _Tp & __x, const _Tp & __y) [inline]

Defines != for arbitrary types, in terms of ==.

Parameters:
    x A thing.
    y Another thing.

Returns:
    x != y

This function uses == to determine its result.

Definition at line 92 of file stl_relops.h.

  bool std::rel_ops::operator<= (const _Tp & __x, const _Tp & __y) [inline]

Defines <= for arbitrary types, in terms of <.

Parameters:
    x A thing.
    y Another thing.

Returns:
    x <= y

This function uses < to determine its result.

Definition at line 118 of file stl_relops.h.

  bool std::rel_ops::operator> (const _Tp & __x, const _Tp & __y) [inline]

Defines > for arbitrary types, in terms of <.

Parameters:
    x A thing.
    y Another thing.

Returns:
    x > y

This function uses < to determine its result.

Definition at line 105 of file stl_relops.h.

  bool std::rel_ops::operator>= (const _Tp & __x, const _Tp & __y) [inline]

Defines >= for arbitrary types, in terms of <.

Parameters:
    x A thing.
    y Another thing.

Returns:
    x >= y

This function uses < to determine its result.

Definition at line 131 of file stl_relops.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.